## groovy.lang
Interface MutableMetaClass

Method Summary
`void` | `addMetaBeanProperty(MetaBeanProperty metaBeanProperty)` Return whether the MetaClass has been modified or not
`void` | `addMetaMethod(MetaMethod metaMethod)` Return whether the MetaClass has been modified or not
`void` | `addNewInstanceMethod(Method method)` Return whether the MetaClass has been modified or not
`void` | `addNewStaticMethod(Method method)` Return whether the MetaClass has been modified or not
`boolean` | `isModified()` Return whether the MetaClass has been modified or not

Method Detail

### addMetaBeanProperty

    public void addMetaBeanProperty(MetaBeanProperty metaBeanProperty)

  Return whether the MetaClass has been modified or not
  return:
    True if it has

### addMetaMethod

    public void addMetaMethod(MetaMethod metaMethod)

  Return whether the MetaClass has been modified or not
  return:
    True if it has

### addNewInstanceMethod

    public void addNewInstanceMethod(Method method)

  Return whether the MetaClass has been modified or not
  return:
    True if it has

### addNewStaticMethod

    public void addNewStaticMethod(Method method)

  Return whether the MetaClass has been modified or not
  return:
    True if it has

### isModified

    public boolean isModified()

  Return whether the MetaClass has been modified or not
  return:
    True if it has